Bug 8571 - Revert QUrl behaviour change introduced in Qt 5.9.3
: Revert QUrl behaviour change introduced in Qt 5.9.3
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-13 12:27 MSK by Andrey Bondrov
Modified: 2017-12-18 14:15 MSK (History)
1 user (show)

See Also:
RPM Package: qt5-qtbase
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2017-12-13 12:27:42 MSK
We need to revert http://code.qt.io/cgit/qt/qtbase.git/commit/?id=f62768d046528636789f901ac79e2cfa1843a7b7 until upstream packages (mostly kio) are properly fixed to work with new QUrl behaviour.

Test scenario:
1. Try to create folders and files in Plasma 5 Dolphin or on Plasma 5 Desktop.
2. Creating files on Plasma 5 Desktop fails.
3. Update Qt5 packages from container and reboot.
4. Creating files on Plasma 5 Desktop should work again.
Comment 1 Andrey Bondrov 2017-12-13 12:28:07 MSK
Advisory: "Revert QUrl behaviour change introduced in Qt 5.9.3"

https://abf.rosalinux.ru/build_lists/2914903
https://abf.rosalinux.ru/build_lists/2914904
Comment 2 Vladimir Potapov 2017-12-15 10:40:40 MSK
The update is sent to expanded testing
***************************************
Comment 3 Vladimir Potapov 2017-12-18 13:22:42 MSK
qt5-qtbase-5.9.3-2
https://abf.rosalinux.ru/build_lists/2914903
https://abf.rosalinux.ru/build_lists/2914904
******************************** Advisory *******************************
Revert QUrl behaviour change introduced in Qt 5.9.3
*************************************************************************
QA Verified